"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mutationResolver = void 0;
exports.mutationResolver = {
    Mutation: {
        createJob(_, args, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.createJob(args.input);
            });
        },
        pauseQueue(_, args, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.pauseQueue(args.queue);
            });
        },
        resumeQueue(_, args, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.resumeQueue(args);
            });
        },
        cleanQueue(_, args, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.cleanQueue(args);
            });
        },
        emptyQueue(_, args, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.emptyQueue(args);
            });
        },
        closeQueue(_, args, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.closeQueue(args);
            });
        },
        moveJobToCompleted(_, args, { dataSources: { bull } }) {
            return bull.moveJobToCompleted(args);
        },
        moveJobToFailed(_, args, { dataSources: { bull } }) {
            return bull.moveJobToFailed(args);
        },
        discardJob(_, args, { dataSources: { bull } }) {
            return bull.discardJob(args);
        },
        promoteJob(_, args, { dataSources: { bull } }) {
            return bull.promoteJob(args);
        },
        removeJob(_, args, { dataSources: { bull } }) {
            return bull.removeJobById(args);
        },
        removeJobs(_, args, { dataSources: { bull } }) {
            return bull.removeJobs(args);
        },
        retryJob(_, args, { dataSources: { bull } }) {
            return bull.retryJob(args);
        },
        retryJobs(_, args, { dataSources: { bull } }) {
            return bull.retryJobs(args);
        },
        removeJobsByPattern(_, args, { dataSources: { bull } }) {
            return bull.removeJobsByPattern(args);
        },
        updateJobData(_, args, { dataSources: { bull } }) {
            return bull.updateJobData(args);
        },
        log(_, args, { dataSources: { bull } }) {
            return bull.createJobLog(args);
        },
        clearMetrics(_, args, { dataSources: { metrics } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield metrics.clearMetrics(args.queue);
            });
        },
        clearAllMetrics(_, __, { dataSources: { metrics } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield metrics.clearAllMetrics();
            });
        },
    },
};
//# sourceMappingURL=mutation.js.map