"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queueResolver = void 0;
exports.queueResolver = {
    Queue: {
        count(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueWaitingOrDelayedJobsCount(parent.id);
            });
        },
        failedCount(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueFailedCount(parent.id);
            });
        },
        completedCount(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueCompletedCount(parent.id);
            });
        },
        delayedCount(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueDelayedCount(parent.id);
            });
        },
        activeCount(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueActiveCount(parent.id);
            });
        },
        waitingCount(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueWaitingCount(parent.id);
            });
        },
        pausedCount(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueWaitingCount(parent.id);
            });
        },
        jobsCounts(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueJobsCounts(parent.id);
            });
        },
        isPaused(parent) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield parent.isPaused();
            });
        },
        jobs(parent, _, { dataSources: { bull } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield bull.getQueueJobs({
                    queue: parent.id,
                });
            });
        },
        metrics(parent, _, { dataSources: { metrics } }) {
            return __awaiter(this, void 0, void 0, function* () {
                return yield metrics.getMetrics(parent.id);
            });
        },
    },
};
//# sourceMappingURL=queue.js.map